# Cutlass: cutlass::Store< Scalar_, Lanes_, Memory_, bool, size_t > Struct Template Reference

cutlass::Store< Scalar_, Lanes_, Memory_, bool, size_t > Struct Template Reference

`#include <load_store.h>`

## Public Types

typedef Vectorize< Scalar_, Lanes_ >::Type | AccessType
| The output type. More...

## Static Public Member Functions

static CUTLASS_DEVICE void | store (AccessType const &src, Scalar_ *pointer, int offset)
| The store function. More...

## Member Typedef Documentation

## AccessType

template<typename Scalar_ , int Lanes_, MemorySpace::Kind Memory_, bool = (Lanes_ > 1), size_t = (sizeof(Scalar_) * Lanes_)>

typedef Vectorize<Scalar_, Lanes_>::Type cutlass::Store< Scalar_, Lanes_, Memory_, bool, size_t >::AccessType

## Member Function Documentation

## store()

template<typename Scalar_ , int Lanes_, MemorySpace::Kind Memory_, bool = (Lanes_ > 1), size_t = (sizeof(Scalar_) * Lanes_)>

static CUTLASS_DEVICE void cutlass::Store< Scalar_, Lanes_, Memory_, bool, size_t >::store | ( | AccessType const & | src,
|  | Scalar_ * | pointer,
|  | int | offset
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- load_store.h